
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MongoDB 细说增删查改 / 憋错料</title>

    <meta name="description" content="MongoDB 细说增删查改 一: Insert操作 上一篇也说过,文档是采用“K-V”格式存储的,如果大家对JSON比较熟悉的话,我相信学mongodb是手到擒来,我们知道JSON里面Value 可能是“字符串”,可能是“数组”,又有可能是内嵌的一个JSON对象,相同的方式也适合于BSON. 常见的插入操作也就两种形式存在:“单条插入”和“批量插入”. ①  单条插入 先前也说了,mongo命令打开的是一个javascript shell.所以js的语法在这里面都行得通,看起来是不是很牛X. ② 批量插入 这玩意跟“单条插">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">MongoDB 细说增删查改</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一： Insert操作</p>
<p>上一篇也说过,文档是采用&ldquo;K-V&rdquo;格式存储的，如果大家对JSON比较熟悉的话，我相信学mongodb是手到擒来，我们知道JSON里面Value</p>
<p>可能是&ldquo;字符串&rdquo;，可能是&ldquo;数组&rdquo;，又有可能是内嵌的一个JSON对象，相同的方式也适合于BSON。</p>
<p>常见的插入操作也就两种形式存在：&ldquo;单条插入&rdquo;和&ldquo;批量插入&rdquo;。</p>
<p>① &nbsp;单条插入</p>
<p>先前也说了，mongo命令打开的是一个javascript shell。所以js的语法在这里面都行得通，看起来是不是很牛X。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxODIzMzgyNTYwLnBuZw==.jpg" /></p>
<p>② 批量插入</p>
<p>这玩意跟&ldquo;单条插入&rdquo;的差异相信大家应该知道，由于mongodb中没有提供给shell的&ldquo;批量插入方法&rdquo;，没关系，各个语言的driver都打通</p>
<p>了跟mongodb内部的批量插入方法，因为该方法是不可或缺的，如果大家非要模拟下批量插入的话，可以自己写了for循环，里面就是insert。</p>
<p>二：Find操作</p>
<p>日常开发中，我们玩查询，玩的最多的也就是二类：</p>
<p>①： &gt;, &gt;=, &lt;, &lt;=, !=, =。</p>
<p>②：And，OR，In，NotIn</p>
<p>这些操作在mongodb里面都封装好了，下面就一一介绍：</p>
<p>&lt;1&gt;"$gt", "$gte", "$lt", "$lte", "$ne", "没有特殊关键字"，这些跟上面是一一对应的，举几个例子。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxODIzNDk1NDU4LnBuZw==.jpg" /></p>
<p>&lt;2&gt; "无关键字&ldquo;, "$or", "$in"，"$nin" 同样我也是举几个例子</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAwMTc1NTMzLnBuZw==.jpg" /></p>
<p>&lt;3&gt; 在mongodb中还有一个特殊的匹配，那就是&ldquo;正则表达式&rdquo;，这玩意威力很强的。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAwMjMyODMzLnBuZw==.jpg" /></p>
<p>&lt;4&gt; 有时查询很复杂，很蛋疼，不过没关系，mongodb给我们祭出了大招，它就是$where，为什么这么说，是因为$where中的value</p>
<p>就是我们非常熟悉，非常热爱的js来助我们一马平川。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAwNTc1MzMzLnBuZw==.jpg" /></p>
<p>三：Update操作</p>
<p>更新操作无非也就两种，整体更新和局部更新，使用场合相信大家也清楚。</p>
<p>&lt;1&gt; 整体更新</p>
<p>不知道大家可还记得，我在上一篇使用update的时候，其实那种update是属于整体更新。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAxMjIyNTEyLnBuZw==.jpg" /></p>
<p>&lt;2&gt; 局部更新</p>
<p>有时候我们仅仅需要更新一个字段，而不是整体更新，那么我们该如何做呢？easy的问题，mongodb中已经给我们提供了两个</p>
<p>修改器： $inc 和 $set。</p>
<p>① &nbsp;$inc修改器</p>
<p>$inc也就是increase的缩写，学过sql server 的同学应该很熟悉，比如我们做一个在线用户状态记录，每次修改会在原有的基础上</p>
<p>自增$inc指定的值，如果&ldquo;文档&rdquo;中没有此key，则会创建key，下面的例子一看就懂。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAxMzIxODUxLnBuZw==.jpg" /></p>
<p>② $set修改器</p>
<p>啥也不说了，直接上代码</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAxMzcwNTkxLnBuZw==.jpg" /></p>
<p>&lt;3&gt; upsert操作</p>
<p>这个可是mongodb创造出来的&ldquo;词&rdquo;，大家还记得update方法的第一次参数是&ldquo;查询条件&rdquo;吗？，那么这个upsert操作就是说：如果我</p>
<p>没有查到，我就在数据库里面新增一条，其实这样也有好处，就是避免了我在数据库里面判断是update还是add操作，使用起来很简单</p>
<p>将update的第三个参数设为true即可。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzIxNDc0MS8yMDEyMDIxOTAxNDk1NDUwLnBuZw==.jpg" /></p>
<p>&lt;4&gt; 批量更新</p>
<p>在mongodb中如果匹配多条，默认的情况下只更新第一条，那么如果我们有需求必须批量更新，那么在mongodb中实现也是很简单</p>
<p>的，在update的第四个参数中设为true即可。例子就不举了。</p>
<p>四: Remove操作</p>
<p>remove中如果不带参数将删除所有数据，呵呵，很危险的操作，在mongodb中是一个不可撤回的操作，三思而后行。</p>
<p>转自<a href="http://www.cnblogs.com/qq75077027/archive/2012/12/26/2834766.html" rel="external nofollow noreferrer">http://www.cnblogs.com/qq75077027/archive/2012/12/26/2834766.html</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:37:52 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>MongoDB 细说增删查改的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD8JXkM.html" rel="bookmark">MongoDB入门学习&lpar;三&rpar;：MongoDB的增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于我们这种菜鸟来说,最重要的不是数据库的管理,也不是数据库的性能,更不是数据库的扩展,而是怎么用好这款数据库,也就是一个数据库提供的最核心的功能,增删查改. 因为MongoDB存储数据都是以文档的模式,所以在操作它的数据时,也是以文档为单位的.那么我们实现增删查改也是以文档为基础,不知道文档是什么的同学可以看看上篇介绍的基本概念. 1.插入文档 向MongoDB集合中插入文档的基本方法是insert: 单个插入 &gt; document = {key : value} &gt; db.collecti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nqeZXM.html" rel="bookmark">Asp&period;Net Mvc&plus;MongoDB简单增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                   Asp.Net Mvc+MongoDB简单增删查改 概要:现在很多企业都在使用非关系型的NoSql数据库,其中MongoDB是相当热门的,最近有空就研究了一下,本文写了一套基于Asp.Net Mvc和MongoDB的简单增删查改,本文部分内容是借用其他博文,最后我会贴出出处. 正文: 在控制器的Models中新建一个UserModel模型(其中相当于另开一个类库,类似Dal层) using System; using Syst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38kOQy0.html" rel="bookmark">8天学通MongoDB&mdash;&mdash;第二天 细说增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看过上一篇,相信大家都会知道如何开启mongodb了,这篇就细说下其中的增删查改,首先当我们用上一篇同样的方式打开mongodb,突然 傻眼了,擦,竟然开启不了,仔细观察“划线区域“的信息,发现db文件夹下有一个类似的”lock file”阻止了mongodb的开启,接下来我们要做的就 是干掉它,之后,开启成功,关于mongodb的管理方式将在后续文章分享. 一: Insert操作 上一篇也说过,文档是采用“K-V”格式存储的,如果大家对JSON比较熟悉的话,我相信学mongodb是手到擒来,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmeNO1M.html" rel="bookmark">Mongodb学习总结-2（细说增删查改）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看过上一篇,相信大家都会知道如何开启mongodb了,这篇就细说下其中的增删查改,首先当我们用上一篇同样的方式打开mongodb,突然 傻眼了,擦,竟然开启不了,仔细观察“划线区域“的信息,发现db文件夹下有一个类似的”lock file”阻止了mongodb的开启,接下来我们要做的就 是干掉它,之后,开启成功,关于mongodb的管理方式将在后续文章分享. 一: Insert操作 上一篇也说过,文档是采用“K-V”格式存储的,如果大家对JSON比较熟悉的话,我相信学mongodb是手到擒来,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6pyQy3.html" rel="bookmark">mongodb  -mongoose 增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				var mongoose =require('mongoose');var db = mongoose.connect(&quot;mongodb://localhost:27001/test&quot;);//本地库test 数据库 var testSchem = new mongoose.Schema({ name:{type:String}, age:{type:Number,default:0}, time:{type:Date,default:Date.now}, email:{type:Str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Rm6kPM.html" rel="bookmark">少量代码带你熟悉MongoDB在Java下的增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们总不能一直使用cmd对数据库操作,数据库总是要在程序中使用的.今天来说一下怎么通过Java调用MongoDB. 学习一下最基本也是最常用的增删查改语句,这是使用数据库的基础. 注意事项: 1.要打开mongod.exe,程序运行期间要一直开着. 2.Java项目里面要导入mongo的jar包,mongo-版本号-jar. 以下为代码: public class MongoTest { public static void main(String args[]) throws UnknownH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoovLkM.html" rel="bookmark">MongoDB数据库进阶 --- 增删查改&period;&period;&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在之前的文章中,我已经介绍了什么事MongoDB以及怎么在windows下安装MongoDB等等基本知识. 所以这篇进阶的博客就主要介绍以下如何进行数据库的基本操作 --- 增删查改. 数据库相关 显示所有数据库: show dbs 其中admin和local都是默认存在的数据库. 查看当前数据库: db 即当前默认就是test数据库,但是为什么在 show dbs 的时候没有呢?  这是因为test数据库中没有任何数据,所以不会显示,后面会介绍插入数据,插入数据后就会显示了. 创建数据库: u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mykdoe3.html" rel="bookmark">Spring-Ldap连接Ldap及简单的增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				了解了Ldap的基本概念之后就是Ldap的使用问题了,就像连接MySQL数据库,操作MySQL数据库中数据一样,我们怎么连接到Ldap呢?又是怎么操纵ldap中的数据呢? 我也是不断的在网上查找资料,最终选择使用Spring-ldap进行数据库的连接,因为我的项目使用SpringMVC+Spring开发,直接就利用Spring-ldap了,挺简单的. 步骤一:依赖(maven工程) &lt;!-- 添加Spring 对LDAP的支持 --&gt; &lt;dependency&gt; &lt;groupI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xG9LrM.html" rel="bookmark">node&period;js&plus;express&plus;mongoose实现用户增删查改案例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				node.js+express+mongodb对用户进行增删查改 一.用到的相关技术 使用 Node.js 的 express 框架搭建web服务 使用 express 中间件 body-parse 解析表单 post 请求体 使用 art-template 模板引擎渲染页面 使用第三方包 mongoose 来操作 MongoDB 数据库 二.在命令行用 npm 执行相关的命令 初始化项目,在命令行执行 npm init 然后一路回车就行了(或者直接 npm init -y)生成 package			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NGm2M.html" rel="bookmark" class="title">分布式-ubuntu12&period;04上安装hadoop1&period;2&period;1</a>
					<div>
						在hadoop1.2.1的安装说明中有说明要预先安装java,我安装了好多版本的java以及好多版本的hadoop,然后发现oracle-java7与hadoop1.2.1是可以匹配的. 一,安装具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJEgA3.html" rel="bookmark" class="title">BZOJ 1061 志愿者招募（最小费用最大流）</a>
					<div>
						题目链接:http://61.187.179.132/JudgeOnline/problem.php?id=1061 题意:申奥成功后,布布经过不懈努力,终于 成为奥组委下属公司人力资源部门的主管.布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZomK3.html" rel="bookmark" class="title">关于异或&lowbar;字典树的一些性质</a>
					<div>
						异或的性质 1. a ⊕ a = 0 2. a ⊕ b = b ⊕ a 3. a ⊕b ⊕ c = a ⊕ (b ⊕ c) = (a ⊕ b) ⊕ c; 4. d = a ⊕ b ⊕ c 可以推出 a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjWnE3.html" rel="bookmark" class="title">初识计算机系统（一）</a>
					<div>
						图灵机是计算机的原型,而图灵机简单来说就是对输入的数据进行处理然后输出的模型: 所以今天就沿着这条主线来浅层次“解析”计算机系统,首先先看一看计算机这个家伙: 0.输入设备:图片展示的鼠标.键盘显然就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aDpPnM.html" rel="bookmark" class="title">BZOJ 1068</a>
					<div>
						题目链接:http://61.187.179.132/JudgeOnline/problem.php?id=1068 题意:字符串压缩.M表示一个重复串的开始,R表示与其前面一个M之间的重复.压缩出最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVYd2z4.html" rel="bookmark" class="title">hdu 1754&colon;I Hate It（线段树，入门题，RMQ问题）</a>
					<div>
						I Hate It Time Limit: 9000/3000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEAdq0.html" rel="bookmark" class="title">ansible主配文件解析</a>
					<div>
						# config file for ansible -- http://ansible.com/# ============================================== [de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWjnj3.html" rel="bookmark" class="title">在应用中更新App版本</a>
					<div>
						在应用中, 为了提高用户体验, 会提供更新版本的功能. 那么如何实现呢? 我写了一个简单的Demo, 说明一下, 需要注意几个细节. 使用了Retrofit和Rx处理网络请求. Github下载地址  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwQoL0.html" rel="bookmark" class="title">CentOS中文乱码问题的解决方法</a>
					<div>
						一.CentOS系统访问 xxx.cn ,发现中文乱码于是用以前的方式:# yum -y install fonts-chinese # yum -y install fonts-ISO8859 Ce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5e9D3.html" rel="bookmark" class="title">接口测试-webservice类型接口自动化脚本suds模块</a>
					<div>
						做webservevice自动化测试 可以使用python suds模块 根据Python版本安装suds 1.使用Pip安装suds模块  (之前使用的是python 3.5版本 可以suds安装成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ebVA4.html" rel="bookmark" class="title">Appium-001-测试开发环境搭建（Android - Win7）</a>
					<div>
						随着移动端 App 测试自动化的兴起,为更好的控制产品质量,越来越多的中大型公司开始了移动端的自动化测试.Appium 自动化测试技术也是我很早之前就想学习的一门技术,却一直没有比较空余的时间来学习( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rn8RR0.html" rel="bookmark" class="title">bss段、data段、text段、堆&lpar;heap&rpar; 和 栈&lpar;stack&rpar;</a>
					<div>
						bss段: bss段(bss segment)通常是指用来存放程序中未初始化的全局变量的一块内存区域. bss是英文Block Started by Symbol的简称. bss段属于静态内存分配.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdpAo0.html" rel="bookmark" class="title">&lbrack;hdu5266&rsqb;区间LCA</a>
					<div>
						题意:给一棵树,求节点L,L+1,...R的最近公共祖先 思路:先对树dfs一下,从根1出发,经过每条边时记录一下终点和到达这个点的时间截,令r[u]表示到达u这个节点的最早时间截,t[x]表示在时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dReje4.html" rel="bookmark" class="title">Java TCP使用Socket进行网络通信（3）</a>
					<div>
						作者 : 卿笃军 原文地址:http://blog.csdn.net/qingdujun/article/details/39322051 本文演示,TCP使用Socket进行网络通信,建立简单的客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNlwR0.html" rel="bookmark" class="title">《Linux内核分析》第八周学习小结 进程的切换和系统的一般执行过程</a>
					<div>
						进程的切换和系统的一般执行过程 一.进程调度的三个时机: 1.中断处理过程(包括时钟中断.I/O中断.系统调用和异常)中,直接调用schedule(),或者返回用户态时根据need_resched标记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6pQxX3.html" rel="bookmark" class="title">在Mac下配置php开发环境：Apache&plus;php&plus;MySql</a>
					<div>
						/private/etc/apache2/httpd.conf 一.启动Apache sudo apachectl start sudo apachectl -v   可以查看到Apache的版本信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkndP3.html" rel="bookmark" class="title">龙岗食堂打卡机生产厂家</a>
					<div>
						食堂打卡机:即学生或职工就餐时所使用的消费计数设备.是为了满足消费电子化.制度化.方便化的要求而研制的新一代智能卡设备. 产生原因:传统的食堂.餐厅售饭多采用饭票或现金进行结算,这就不可避免的存在诸如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXaLJ3.html" rel="bookmark" class="title">通过发布项目到IIS上，登录访问报系统找不到System&period;Web&period;Mvc</a>
					<div>
						我发布项目到IIs,通过IIS的端口来访问直接下面的错误 上面的解决方法把我问题解决了,是在你要发布项目之前,选择你要发布的项目,找到它的引用,在它引用下 找到system.web.mvc,右键属性找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXNmA3.html" rel="bookmark" class="title">《MonkeyRunner原理剖析》第九章－MonkeyImage实现原理 - 第七节 - 文件图片及子图处理类BufferedImageChimpImage</a>
					<div>
						作者 自主博客 微信 CSDN 天地会珠海分舵 http://techgogogo.com 服务号:TechGoGoGo 扫描码: http://blog.csdn.net/zhubaitian					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQoqy0.html" rel="bookmark" class="title">20150625&lowbar;Andriod&lowbar;02&lowbar;ListView2&lowbar;多条目显示&lowbar;选中</a>
					<div>
						android listview 参考地址: http://www.cnblogs.com/zhengbeibei/archive/2013/05/14/3078805.html  http://xy ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
